version: '3.7'
services:
  www_apache:
    build: ./svc_www_apache # On va build notre Dockerfile
    container_name: c_www_apache
    restart: always
    depends_on: 
      - mariadb
    ports:
      - 80      
    networks:
      - ${NETWORK_APACHE} 
      - ${NETWORK_MARIADB_APACHE}
    volumes:
      - "/etc/timezone:/etc/timezone:ro" # meme timezone que l hote
      - "/etc/localtime:/etc/localtime:ro"
      - "./volumes/www_${DOMAINTLD}:/var/www/html"    
    labels:
      - "traefik.enable=true" 
      - "traefik.http.routers.${ROUTER_TRAEFIK_APACHE}.rule=Host(`${DOMAINTLD}`)" 
      - "traefik.http.routers.${ROUTER_TRAEFIK_APACHE}.entrypoints=${NETWORK_APACHE}secure"        
  mariadb:
    image: mariadb:10.6.2
    container_name: c_mariadb-www
    restart: always
    environment:     
      - MARIADB_ROOT_PASSWORD=${MARIADB_ROOT_PASSWORD}
      - MARIADB_USER=${MARIADB_USER}
      - MARIADB_PASSWORD=${MARIADB_PASSWORD}
      - MARIADB_DATABASE=${MARIADB_DATABASE}
    volumes:
      - "./volumes/mariadb_${DOMAINTLD}/data_${DOMAINTLD}:/var/lib/mysql"
    networks :
      - ${NETWORK_MARIADB_APACHE}   
networks:
  ${NETWORK_APACHE}:
    external: true 
  ${NETWORK_MARIADB_APACHE}:
    internal: true        
